Module | ActionController::UploadedFile
In: | lib/action_controller/request.rb

### Methods

included original_filename

### Public Class methods

included(base)

### Public Instance methods

original_filename()

Take the basename of the upload‘s original filename. This handles the full Windows paths given by Internet Explorer (and perhaps other broken user agents) without affecting those which give the lone filename. The Windows regexp is adapted from Perl‘s File::Basename.

[Validate]